Application: gvSIG desktop - gvSIG bugs #750
"Undo" tool (editing) does not work always
06/06/2012 04:39 PM - Juan Lucas Dominguez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-devel-2050

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

For selection operations it works (you can undo a selection change)

But when you move a vertex in a geometry and undo, it does not work.
After setting a new geometry, the source code behaves as if:

feature --> the new feature
feature.getSource() --> the old feature (?) This is not true, | think,

so the "old geometry” is the same as the new geometry, and when you undo, the geometry is the same.

This bug is different from: https://devel.gvsig.org/redmine/issues/468 which has been fixed.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 468: Undo editing tool. ... Closed 03/26/2012

History

#1 - 06/06/2012 04:42 PM - Juan Lucas Dominguez

This is the suspicious line in DefaultFeatureStore.java:

commands.update(feature, feature.getSource());

feature.getSource() has the old geometry?

#2 - 07/02/2012 08:13 PM - Manuel Madrid

- Category set to Vector editing

- Target version set to 2.0.0-rc1

#3 - 07/10/2012 03:26 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

- Assignee changed from Joaquin del Cerro Murciano to Juan Lucas Dominguez

Does not work after bugfix for:

05/17/2024

1/2



https://devel.gvsig.org/redmine/issues/468

https://devel.gvsig.org/redmine/issues/468

#4 - 07/10/2012 04:27 PM - Juan Lucas Dominguez

I meant: Does not happen after bugfix for:
https://devel.gvsig.org/redmine/issues/468

#5 - 07/11/2012 10:35 AM - Juan Lucas Dominguez
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#6 - 08/23/2012 01:56 PM - Maria Maluenda

- Status changed from Fixed to Closed

Closed in the gvSIG build 2051
